Name:           python-pyart-mch
Version:        2.0.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        MCH Py-ART: Python ARM Radar Toolkit - MeteoSwiss version

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/MeteoSwiss/pyart
Source:         %{pypi_source pyart_mch}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyart-mch' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyart-mch
Summary:        %{summary}

%description -n python3-pyart-mch %_description


%prep
%autosetup -p1 -n pyart_mch-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyart-mch -f %{pyproject_files}


%changelog
%autochangelog